## org.biojava.bio.seq
Class FramedFeature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojava.bio.seq.StrandedFeature.Template
              org.biojava.bio.seq.FramedFeature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing interface:
  FramedFeature

    public static class FramedFeature.Template

extends StrandedFeature.Template

See Also:
  Serialized Form

Field Summary
`FramedFeature.ReadingFrame` `readingFrame`

Fields inherited from class org.biojava.bio.seq.StrandedFeature.Template
`strand`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`FramedFeature.Template()`

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### readingFrame

    public FramedFeature.ReadingFrame readingFrame

Constructor Detail

### FramedFeature.Template

    public FramedFeature.Template()